<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=57;
?>
<?
/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
if ($crear==0)  
{
?>
		<script>
		alert ("No Autorizado");
			window.top.open('','_parent','');window.top.close();
		</script>
	<? 
	exit();
}
$id_descuento=$_GET["cp"];
$sql_bpro = "SELECT * FROM descuento WHERE id = $id_descuento";
$res_bpro = mysql_query($sql_bpro,$enlace);
if (mysql_fetch_object ($res_bpro))
	{
	$sql_id = mysql_result($res_bpro, 0, "id");
	$sql_descripcion = mysql_result($res_bpro, 0, "descripcion");
	$inicio = mysql_result($res_bpro, 0, "fecha_inicio");
	$final = mysql_result($res_bpro, 0, "fecha_final");
	$sql_bodega= mysql_result($res_bpro, 0, "id_bodega");
	$sql_familia= mysql_result($res_bpro, 0, "id_familia");
	$sql_segmento= mysql_result($res_bpro, 0, "id_segmento");

}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Crear Lista de Productos con descuento</title>
<style type="text/css">
<!--
.Estilo7 {
	font-size: small;
	color: #000099;
}
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: small; color: #000099; }
.Estilo13 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	color: #000099;
	text-decoration: underline;
}
.Estilo14 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000099;
}
-->
</style>
<link href="../hojadeestilosjc.css" rel="stylesheet" type="text/css">
</head>

<body>
 <table width="42%" border="1" align="center" cellspacing="0">
<tr>
		<td height="23"><div align="center" class="titulos2"> Crear Listado productos descuento <?=$sql_descripcion;?></div></td>
  </tr>
 
</table>
<div align="center"></div>
<form action="" method="post" enctype="multipart/form-data" name="form1" target="_self">
  <table width="42%" border="1" align="center" cellspacing="0">
  <tr bgcolor="#00CCFF" class="detalle_tablas_II_negrita" style="font-size:12px">
    <th width="15%" scope="col">Codigo</th>
	<th width="48%" scope="col">Producto</th>
    <th width="37%" scope="col">Descuento</th>
    
    </tr>
<?

 if ($sql_familia==0)
 {
$sql_lp = "SELECT *  FROM productos where empresa=$id_empresa AND cod_familia<>1  ORDER BY descripcion ASC";
}
else
{
$sql_lp = "SELECT *  FROM productos where empresa=$id_empresa AND cod_familia=$sql_familia ORDER BY descripcion ASC";
}

$cont=0;
$resultado = mysql_query($sql_lp,$enlace);
while (mysql_fetch_object ($resultado))
	{
	$id_codigo[$cont]=mysql_result($resultado, $cont, "Id");
	$codigo[$cont]=mysql_result($resultado, $cont, "codigo");
	$nombre[$cont]=mysql_result($resultado, $cont, "descripcion");
	$descuento[$cont]= '';
	
   
?>
	<tr bgcolor="#CBFEC2">
	
       <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="codigo[<?=$cont;?>]" id="codigo[<?=$cont;?>]" type="text" value="<?=$codigo[$cont];?>"  style="text-align:center;width:100%" readonly=readonly >        
	  </font></strong></div></td>
   
       <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="nombre[<?=$cont;?>]" id="nombre[<?=$cont;?>]" type="text" value="<?=$nombre[$cont];?>"  style="text-align:center;width:100%" readonly=readonly >        
	  </font></strong></div></td>
   <td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="descuento[<?=$cont;?>]" id="descuento[<?=$cont;?>]" type="text" value="<?=$descuento[$cont];?>"  style="text-align:center;width:100%"  >        
	  </font></strong></div></td>
      
	</tr>
	<?
	$cont=$cont+1;
	}
	$cantidad=$cont;
	?>
    
	</table>
 <table width="100" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
	  <td width="35%">&nbsp;</td>
		<td width="10%" align="center">	<input type="button" name="Guardar" value="Guardar" onClick="fun_guardar();"></td>
        <td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
		<td width="35%">&nbsp;</td>
    </tr>
</table>  
  <input name="cantidad" type="text" id="cantidad" value="<?=$cantidad;?>" style="visibility:hidden" size="1" />
 <input name="id_descuento" type="text" id="id_descuento" value="<?=$id_descuento;?>" style="visibility:hidden" size="1" />   
</form>
</body>
</html>

<script language="javascript" type="text/javascript">


	
function fun_guardar()
	{
		var con=<?=$cantidad?>;
	
	if (con!=0)
		{	
				 document.form1.action='guarda_lista_descuento.php?cnt=<?=$cantidad?>';
				 document.form1.target='_blank';
				setTimeout('document.form1.submit();',500);	
		
	  }
	}
  
function fun_salir()
	{		
		parent.location.href = 'index.php';
	}
	  

</script>

